Bug 1027256 - [abrt] msitools-0.92.26-1.fc19: __strcmp_sse4_2: Process /usr/bin/msiinfo was killed by signal 11 (SIGSEGV)
[abrt] msitools-0.92.26-1.fc19: __strcmp_sse4_2: Process /usr/bin/msiinfo was...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: msitools (Show other bugs)
19
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Marc-Andre Lureau
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:ab2b5df6594eb569107a4a2e740...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-06 07:40 EST by Simão Afonso
Modified: 2015-02-18 06:05 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:05:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (13.52 KB, text/plain)
2013-11-06 07:41 EST, Simão Afonso
no flags Details
File: cgroup (141 bytes, text/plain)
2013-11-06 07:41 EST, Simão Afonso
no flags Details
File: core_backtrace (2.10 KB, text/plain)
2013-11-06 07:41 EST, Simão Afonso
no flags Details
File: dso_list (1.73 KB, text/plain)
2013-11-06 07:41 EST, Simão Afonso
no flags Details
File: exploitable (82 bytes, text/plain)
2013-11-06 07:41 EST, Simão Afonso
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-06 07:41 EST, Simão Afonso
no flags Details
File: maps (5.39 KB, text/plain)
2013-11-06 07:41 EST, Simão Afonso
no flags Details
File: open_fds (180 bytes, text/plain)
2013-11-06 07:41 EST, Simão Afonso
no flags Details
File: proc_pid_status (794 bytes, text/plain)
2013-11-06 07:41 EST, Simão Afonso
no flags Details
File: var_log_messages (323 bytes, text/plain)
2013-11-06 07:41 EST, Simão Afonso
no flags Details
the MSI that triggered the bug (2.76 MB, application/x-msi)
2013-11-08 05:48 EST, Simão Afonso
no flags Details

  None (edit)
Description Simão Afonso 2013-11-06 07:40:58 EST
Description of problem:
Just using msiinfo to check a file causes a segmentaton fault

Version-Release number of selected component:
msitools-0.92.26-1.fc19

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        msiinfo suminfo 'TOSHIBA Value Added Package.msi'
crash_function: __strcmp_sse4_2
executable:     /usr/bin/msiinfo
kernel:         3.11.6-200.fc19.i686
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 __strcmp_sse4_2 at ../sysdeps/i386/i686/multiarch/strcmp-sse4.S:262
 #1 find_insert_index at string.c:176
 #2 insert_string_sorted at string.c:192
 #3 set_st_entry at string.c:216
 #4 msi_addstring at string.c:294
 #5 msi_load_string_table at string.c:540
 #6 _libmsi_database_open at libmsi-database.c:2201
 #7 init at libmsi-database.c:2575
 #8 libmsi_database_new at libmsi-database.c:2618
 #9 cmd_suminfo at tools/msiinfo.c:302
Comment 1 Simão Afonso 2013-11-06 07:41:06 EST
Created attachment 820315 [details]
File: backtrace
Comment 2 Simão Afonso 2013-11-06 07:41:09 EST
Created attachment 820316 [details]
File: cgroup
Comment 3 Simão Afonso 2013-11-06 07:41:12 EST
Created attachment 820317 [details]
File: core_backtrace
Comment 4 Simão Afonso 2013-11-06 07:41:15 EST
Created attachment 820318 [details]
File: dso_list
Comment 5 Simão Afonso 2013-11-06 07:41:18 EST
Created attachment 820319 [details]
File: exploitable
Comment 6 Simão Afonso 2013-11-06 07:41:22 EST
Created attachment 820320 [details]
File: limits
Comment 7 Simão Afonso 2013-11-06 07:41:26 EST
Created attachment 820321 [details]
File: maps
Comment 8 Simão Afonso 2013-11-06 07:41:29 EST
Created attachment 820322 [details]
File: open_fds
Comment 9 Simão Afonso 2013-11-06 07:41:32 EST
Created attachment 820323 [details]
File: proc_pid_status
Comment 10 Simão Afonso 2013-11-06 07:41:35 EST
Created attachment 820324 [details]
File: var_log_messages
Comment 11 Marc-Andre Lureau 2013-11-06 07:51:46 EST
thanks, could you provide a link to the MSI file?
Comment 12 Simão Afonso 2013-11-08 05:46:28 EST
Yes, I'll upload the MSI file rigth away.
Comment 13 Simão Afonso 2013-11-08 05:48:31 EST
Created attachment 821512 [details]
the MSI that triggered the bug
Comment 14 Marc-Andre Lureau 2013-11-08 08:18:53 EST
I have pushed a fix, but I wonder if there isn't more to fix to handle the ForceCodePage property correctly. Nevertheless, this is enough to fix the crash:
https://git.gnome.org/browse/msitools/commit/?id=e02b155b332df452a9df86984e11eb8a1772aa86
Comment 15 Fedora End Of Life 2015-01-09 17:27:38 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2015-02-18 06:05:05 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.